<!DOCTYPE html>
<html lang="en">
<head>

<!-- meta tags -->
<meta charset="utf-8">
<meta name="keywords" content="bootstrap 5, premium, multipurpose, sass, scss, saas, eCommerce, Shop, Fashion" />
<meta name="description" content="Bootstrap 5 Landing Page Template" />
<meta name="author" content="www.themeht.com" />
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Title -->
<title>Ekocart - Multipurpose eCommerce HTML5 Template</title>

<!-- Favicon Icon -->
<link rel="shortcut icon" href="assets/images/favicon.ico" />

<!-- inject css start -->

<link href="assets/css/theme-plugin.css" rel="stylesheet" />
<link href="assets/css/theme.min.css" rel="stylesheet" />
<link href="assets/css/custom.css" rel="stylesheet" />

<!-- inject css end -->

</head>

<body>

<!-- page wrapper start -->

<div class="page-wrapper">

<!--body content start-->

<div class="page-content">

<!--login start-->

<section class="register">
  <div class="container">
     <div class="row justify-content-center text-center">
      <div class="col-lg-8 col-md-12">
        <div class="mb-6">
          <h6 class="text-primary mb-1">
                  Sign Up
              </h6>
          <h2>Simple And Easy To Sign Up</h2>
          <p class="lead">Join the largest sales network in Africa, start communication with suppliers, sales agents or distributors.
            It is FREE of charge.</p>
        </div>
        </div>
        </div>
    <div class="row">
      <div class="col-lg-8 col-md-10 mx-auto">
        <div class="register-form">
          <form id="contact-form">
            <div class="messages"></div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label>Select Role</label>
                  <div class="d-flex my-2">
                    <div class="form-check me-2">
                      <input class="form-check-input roleSelect" type="radio" checked value="Supplier" name="flexRadioDefault" id="supplier">
                      <label class="form-check-label" for="supplier">
                        Supplier
                      </label>
                    </div>
                    <div class="form-check me-2">
                      <input class="form-check-input roleSelect" type="radio" value="SalesAgent" name="flexRadioDefault" id="sales-agent">
                      <label class="form-check-label" for="sales-agent">
                        Sales Agent
                      </label>
                    </div>
                    <div class="form-check me-2">
                      <input class="form-check-input roleSelect" type="radio" value="Distributor" name="flexRadioDefault" id="distributor">
                      <label class="form-check-label" for="distributor">
                        Distributor
                      </label>
                    </div>
                  </div>
                  <small><i>If you buy and resell, you are a distributor. If you promote products for others and earn a commission, you are a sales agent. </i></small>
                </div>
              </div>
              <div class="row mb-2" id="supplierr" style="display: none;">
                <div class="col-md-12">
                  <div class="form-group">
                    <label for="">Company Name:</label>
                    <input type="text" class="form-control" placeholder="Company name">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Location:</label>
                    <input type="text" class="form-control" placeholder="Location">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Country:</label>
                    <input type="text" class="form-control" placeholder="Country">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Business Category:</label>
                    <input type="text" class="form-control" placeholder="Business Category">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Company Website:</label>
                    <input type="text" class="form-control" placeholder="Company Website">
                  </div>
                </div>
              </div>

              <div class="row mb-2" id="distributorr" style="display: none;">
                <div class="col-md-12">
                  <div class="form-group">
                    <label for="">Company Name:</label>
                    <input type="text" class="form-control" placeholder="Company name">
                  </div>
                </div>
                <div class="col-12">
                  <div class="form-check me-2 mb-2">
                    <input class="form-check-input float-none" type="checkbox" name="customCheck1" id="customCheck1">
                    <label class="form-check-label" for="customCheck1">I am an individual distributor who distribute products</label>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Location:</label>
                    <input type="text" class="form-control" placeholder="Location">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Country:</label>
                    <input type="text" class="form-control" placeholder="Country">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Business Category:</label>
                    <input type="text" class="form-control" placeholder="Business Category">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Company Website:</label>
                    <input type="text" class="form-control" placeholder="Company Website">
                  </div>
                </div>
              </div>

              <div class="row mb-2" id="sales-agentt" style="display: none;">
                <div class="col-md-12">
                  <div class="form-group">
                    <label for="">Company Name:</label>
                    <input type="text" class="form-control" placeholder="Company name">
                  </div>
                </div>
                <div class="col-12">
                  <div class="form-check me-2 mb-2">
                    <input class="form-check-input float-none" type="checkbox" name="customCheck1" id="customCheck1">
                    <label class="form-check-label" for="customCheck1">I am an individual sales agent</label>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Location:</label>
                    <input type="text" class="form-control" placeholder="Location">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Country:</label>
                    <input type="text" class="form-control" placeholder="Country">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Business Category:</label>
                    <input type="text" class="form-control" placeholder="Business Category">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label for="">Company Website:</label>
                    <input type="text" class="form-control" placeholder="Company Website">
                  </div>
                </div>
              </div>
              <h4>Information of Contact Person</h4>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">First Name</label>
                  <input id="form_name" type="text" name="name" class="form-control" placeholder="First name" required="required" data-error="Firstname is required.">
                  <div class="help-block with-errors"></div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">Last Name</label>
                  <input id="form_lastname" type="text" name="surname" class="form-control" placeholder="Last name" required="required" data-error="Lastname is required.">
                  <div class="help-block with-errors"></div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">Email</label>
                  <input id="form_email" type="email" name="email" class="form-control" placeholder="Email" required="required" data-error="Valid email is required.">
                  <div class="help-block with-errors"></div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">Phone</label>
                  <input id="form_phone" type="tel" name="phone" class="form-control" placeholder="Phone" required="required" data-error="Phone is required">
                  <div class="help-block with-errors"></div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">Email Verification Code</label>
                  <input id="email_verification" type="text" class="form-control" placeholder="Enter email verification code">
                  <button type="button" class="btn btn-sm btn-secondary mt-2" onclick="sendEmailVerificationCode()">Send Verification Code</button>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">Phone Verification Code</label>
                  <input id="phone_verification" type="text" class="form-control" placeholder="Enter phone verification code">
                  <button type="button" class="btn btn-sm btn-secondary mt-2" onclick="sendPhoneVerificationCode()">Send Verification Code</button>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">Password</label>
                  <input id="form_password" type="password" name="password" class="form-control" placeholder="Password" required="required" data-error="password is required.">
                  <div class="help-block with-errors"></div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label for="">Confirm Password</label>
                  <input id="form_password1" type="password" name="password" class="form-control" placeholder="Conform Password" required="required" data-error="Conform Password is required.">
                  <div class="help-block with-errors"></div>
                </div>
              </div>
              </div>
            <div class="row mt-5">
              <div class="col-md-12">
                <div class="remember-checkbox clearfix mb-5">
                  <div class="form-check">
                <input class="form-check-input float-none" type="checkbox" name="customCheck1" id="customCheck1">
                <label class="form-check-label" for="customCheck1">I agree to the term of use and privacy policy</label>
                  </div>
                </div> 
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <a href="#" class="btn btn-primary">Create Account</a>
                <span class="mt-4 d-block">Have An Account ? <a href="login.html"><i>Sign In!</i></a></span>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</section>

<!--login end-->

</div>

<!--body content end--> 

</div>

<!-- page wrapper end -->

<!-- inject js start -->

<script src="assets/js/theme-plugin.js"></script>
<script src="assets/js/theme-script.js"></script>
<script>
  document.addEventListener('DOMContentLoaded', function() {
    const roleSelects = document.querySelectorAll('.roleSelect');
    const supplier = document.getElementById('supplierr');
    const distributor = document.getElementById('distributorr');
    const salesAgent = document.getElementById('sales-agentt');

    supplier.style.display = 'flex';
    roleSelects.forEach(roleSelect => {
      roleSelect.addEventListener('change', function() {
        if (this.value === 'Supplier') {
          supplier.style.display = 'flex';
          distributor.style.display = 'none';
          salesAgent.style.display = 'none';
        } else if (this.value === 'SalesAgent') {
          supplier.style.display = 'none';
          distributor.style.display = 'none';
          salesAgent.style.display = 'flex';
        } else if (this.value === 'Distributor') {
          supplier.style.display = 'none';
          distributor.style.display = 'flex';
          salesAgent.style.display = 'none';
        } else {
          supplier.style.display = 'none';
          distributor.style.display = 'none';
          salesAgent.style.display = 'none';
        }
      });
    });
  });

  function sendEmailVerificationCode() {
    // Implement email verification code sending logic here
    alert('Email verification code sent!');
  }

  function sendPhoneVerificationCode() {
    // Implement phone verification code sending logic here
    alert('Phone verification code sent');
  }
</script>

<!-- inject js end -->

</body>
</html>
